#!/usr/bin/perl
# @(#)45------- 1.4- src/scripts/i386/ae/agentmgr.pl, vmi_cmd, isdvmi1_1 7/2/10 01:44:35 
# cannot use any isdvmi-mgmt scripts since AE may be used in a minimal environment

use warnings;
use strict;

BEGIN { push @INC, '/opt/ibm/ae/AS/' }

use ISDVMIEncode;
use Getopt::Long;

my %options = ();
my $CONFFILE="/tmp/AMInfo.config";
my $CONFSERVICE="/etc/init.d/isdvmiconfig";
my $CONFIG_MGR_SCRIPT="/opt/ibm/director/bin/config/configDirector.sh";
my $AM_CONFIG_LOG="/opt/ibm/director/lwi/logs/setupwizard_am.log";


if (! (GetOptions (\%options, 'rmuserid=s', 'rmpassword=s', 'arpassword=s'))) {
    exit (1); 
}

if (! defined $options{'rmpassword'} || !defined $options{'rmuserid'} || !defined $options{'arpassword'}){
    print "AE: All of rmpassword, rmuserid and arpassword need to be specified.\n";
    exit (1);
}

my %decodepwd=('rmpassword', decode($options{rmpassword}), 'arpassword', decode($options{arpassword}));
chomp (my $IPAddress=`hostname -i`);
chomp (my $FullHostName=`hostname -f`);

print "AE: Configure agent manager credential...\n";
my $AgentManagerUserID=$options{rmuserid};
my $AgentManagerPassword=$decodepwd{rmpassword};
my $ManagerRegistrationPassword=$decodepwd{arpassword};
my $UseRemoteAM="false" ;

`mkdir -p \$(dirname $AM_CONFIG_LOG)`;
`touch $AM_CONFIG_LOG`;
`echo "AE: AgentManagerUserID: ${AgentManagerUserID}" >> ${AM_CONFIG_LOG}`;
`echo "AE: UseRemoteAM: ${UseRemoteAM}" >> ${AM_CONFIG_LOG}`;
`echo "AE: RemoteAMIP: " >> ${AM_CONFIG_LOG}`;
`echo "AE: RemoteAMPort: " >> ${AM_CONFIG_LOG}`;
`echo "AE: FullHostName: ${FullHostName}" >> ${AM_CONFIG_LOG}`;
`echo "AE: IPAddress: ${IPAddress}" >> ${AM_CONFIG_LOG}`;

# write agent manager config to /tmp/AMInfo.config
`touch $CONFFILE`;
`echo "AgentManagerUserID=${AgentManagerUserID}" >> ${CONFFILE}`;
`echo "AgentManagerPassword=${AgentManagerPassword}" >> ${CONFFILE}`; 
`echo "ManagerRegistrationPassword=${ManagerRegistrationPassword}" >> ${CONFFILE}`;
`echo "UseRemoteAM=${UseRemoteAM}" >> ${CONFFILE}`;
`echo "RemoteAMIP=" >> ${CONFFILE}`;
`echo "RemoteAMPort=" >> ${CONFFILE}`;

#`$CONFSERVICE start 2>/dev/null && rm -f $CONFFILE`;
#`$CONFIG_MGR_SCRIPT -ip $IPAddress -hostname $FullHostName -user $AgentManagerUserID -agtmgrpass $AgentManagerPassword -regpass $ManagerRegistrationPassword >> $AM_CONFIG_LOG 2>&1`;
print "AE: Agent manager credential configuration completed\n";

exit 0;
