#!/usr/bin/perl -w
#

use warnings;
use strict;
use Getopt::Long;


my %options = ();
my $ROUTEFILE = "/etc/sysconfig/network/routes";
my $HOSTNAMEFILE = "/etc/HOSTNAME";
my $HOSTFILE = "/etc/hosts";
my $PROPERTYFILE = "/opt/ibm/director/vmi/data/networksetting/basicSetting/NetworkInfo.properties";
my $PROPERTYPATH = "/opt/ibm/director/vmi/data/networksetting/basicSetting/";

if (! (GetOptions (\%options, 'hostname=s', 'domain=s','hostnameip=s', 'ipv4gateway=s','device=s', 'ipv6gateway=s'))) {
    exit (1); 
}

# host name setting
if (defined $options{'hostname'}){
    open FILE, "> $HOSTNAMEFILE";
    if(defined $options{'domain'}){
         print FILE "$options{'hostname'}.$options{'domain'}\n";
	 `hostname $options{'hostname'}`;
    }else{
    	 print FILE "$options{'hostname'}\n";
         `hostname $options{'hostname'}`;
    }
    close FILE;
    if(defined $options{'hostnameip'}){
	 open FILE, "> $HOSTFILE";
	 print FILE "127.0.0.1 localhost.localdomain localhost\n";
         if(defined $options{'domain'}){
               print FILE "$options{'hostnameip'} $options{'hostname'}.$options{'domain'} $options{'hostname'}\n";
         }else{
	       print FILE "$options{'hostnameip'} $options{'hostname'}\n";     
	 }
         close FILE;
    }
}

# gateway setting
my $gateway_conf="";
if (defined $options{'ipv4gateway'}){
    $gateway_conf.="default\t$options{'ipv4gateway'}\t0.0.0.0\t";
    if(defined $options{'device'}){
         $gateway_conf.=$options{'device'};
    } 
    $gateway_conf.="\n";
}
if (defined $options{'ipv6gateway'}){
    $gateway_conf.="default\t$options{'ipv6gateway'}\t-\t-\n";
}

if (! $gateway_conf eq ""){
    open FILE, "> $ROUTEFILE";
    print FILE $gateway_conf;
    close FILE;
}

# write hostname information to /opt/ibm/director/vmi/data/networksetting/basicSetting/NetworkInfo.properties
# because /etc/init.d/isdvmiconfig check this property file to get hostname, domain and ip
unless (-d $PROPERTYPATH){
    `mkdir -p $PROPERTYPATH`;
}

unless (-e $PROPERTYFILE){
    `touch ${PROPERTYFILE}`;
}

my $hostname="";
my $domain="";
my $specifyip="";
if (defined $options{'hostname'}){
	$hostname=$options{'hostname'};
}
if (defined $options{'domain'}){
	$domain=$options{'domain'};
}
if (defined $options{'hostnameip'}){
	$specifyip=$options{'hostnameip'};
}
my $hostname_conf = "HOSTNAME=\"$hostname\"\nDOMAIN=\"$domain\"\nSPECIFYIP=\"$specifyip\"\n";
open PROPERTY, ">$PROPERTYFILE" or die "AE: cannot open /opt/ibm/director/vmi/data/networksetting/basicSetting/NetworkInfo.properties to write.\n";
print PROPERTY $hostname_conf;
close PROPERTY;


