#!/usr/bin/perl -w
# %Z%%M%------- %I%- %W% %G% %U% 

use strict;
use warnings;

BEGIN { push @INC, '/opt/ibm/ae/AS/' }

use ISDVMIEncode;

use Getopt::Long;
my %options = ();

if (! (GetOptions (\%options, 'names=s', 'passwords=s', 'groups=s'))) {
    exit (1); 
}

my $names=$options{'names'};
my $passwords=$options{'passwords'};
my $groups=$options{'groups'};

if(! defined($names)|| ! defined ($passwords) || !defined($groups) ){
    print "AE: All of names, passwords and groups need to be specified. Ignore the configuration\n";
    exit (0);
}

my @names=split/,/,$names;
my @passwords=split/,/,$passwords;
my @groups=split/,/,$groups;

print "AE: Create new users...\n";
# the size of names, passwords and groups should be equal
if( $#names != $#passwords || $#names != $#groups ){
    print "AE: The number of names, passwords and groups aren't identity. Ignore the configuration\n";
    exit (1);
}

# now the number are same, so we can use a loop to create new users
for (my $i=0; $i < $#names + 1; $i++ ){
    print "AE: Creating new user: $names[$i]\n";
    my $newpasswd = crypt_passwd( decode( $passwords[$i] ));
    #my $rc=system ("/opt/ibm/director/vmi/scripts/execWithPrivilege/mksmusr --name $names[$i] --passwd $newpasswd --groups $groups[$i] >/dev/null 2>&1");
    my $rc = system ("useradd -p \'$newpasswd\' $names[$i] -g $groups[$i]");
    if ($rc != 0) {
        print "AE: Failed to create new user: $names[$i]\n$!\n";
        print "AE: Failed to create new users!\n";
        exit 1;
    }
}
print "AE: All new user created successfully\n";
exit (0);
