#!/bin/bash
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2011, 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# IBM_COPYRIGHT_END

#
# 09N6996
#

# this script contains actions to be taken as part of the post
# install processing of isdvmi-ha package. It is invoked by
# the scriplet therein.

# Call the RSCT command to trim the trace spool area

TRACE_SPOOL_DIR=/var/opt/ibm/trace_spool
TRACE_SPOOL_LIMIT=100

if [[ -d $TRACE_SPOOL_DIR ]]
then
    /usr/bin/chkspool --spool_dir $TRACE_SPOOL_DIR --megabytes_limit $TRACE_SPOOL_LIMIT &> /dev/null
fi

if [[ -d /tmp/kgnmas ]]
then
    echo "$(date) smhachkspool $TRACE_SPOOL_DIR" >> /tmp/kgnmas/smhachkspool.out
fi

exit 0
