#!/bin/bash
# Licensed Materials - Property of IBM
# 
# (C) Copyright IBM Corp. 2009, 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# IBM_COPYRIGHT_END 


PATH=/usr/bin:$PATH
PROGNAME=$(basename $0)
PROGPATH=$(dirname $0)

INSTALL_DIR=/opt/ibm/director
CMD_DIR=$INSTALL_DIR/ha/bin/priv
COMMON_CODE=/opt/ibm/director/ha/bin/include/smhacommon.sh

if [ -f $COMMON_CODE ]; then
    source $COMMON_CODE
else
    echo "$PROGNAME:Common code not found."
    exit 1
fi
#############################################################

debug "smhastartinit.sh script entered:  my process id is $$"

/usr/bin/nohup /opt/ibm/director/ha/bin/priv/smhainit.sh "$*" &>/dev/null
RC=$?

debug "smhastartinit.sh script exiting: just returned from smhainit.sh with rc=$RC"

exit $RC
