#!/bin/bash
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2009, 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# IBM_COPYRIGHT_END

# 
# 09N6996
#

##################################################################
# Yes! Quorum
# This quorum script is basically a no-op.  It always says the
# node has quorum.  It is used when there are enough independent
# networks to ensure heart beating will always succeed unless the
# other node is truely down.
#
##################################################################
rc=0

case ${1} in
    initialize)
        rc=0
        ;;
    terminate) 
        rc=0        
        ;; 
    change) 
        rc=0        
        ;; 
    reserve) 
        rc=0        
        ;; 
    release) 
        # no-op
        rc=0        
        ;; 
    heartbeat) 
        rc=0        
        ;; 
    break) 
        # no-op
        rc=0        
        ;; 
    validate) 
        # no-op
        rc=0        
        ;; 
    *) 
        # unknown
        rc=33
        ;; 
esac 

exit $rc
