# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2009, 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

function entry(name, num, type, flags) {
  label=""
  if (type == "ext3" || type == "swap") {
    cmd = VMI_BIN "/convert_mnt2label " name " -n " num
    (cmd) | getline label
    close(cmd)
    if (!sparetest($6)) {
      if (both == "y")
        print "LABEL=" label "\t/spare" name "\t" type "\t" flags
    } else {
      print "LABEL=" label "\t" name "\t" type "\t" flags
    }
  } else {
    print name "\t" num "\t" type "\t" flags
  }
}

function sparetest(field) {
  return ((match(field, /spare/) && spare == "y") || 
          (!match(field, /spare/) && spare != "y") || 
          (match(field, /nosp/)))
}

BEGIN {
  FS=":"
  VMI_BIN="/opt/ibm/vmi/bin"

  split(v, args)
  spare = args[1]
  both = args[2]
}

/^#/ { 
  next
}


$1 ~ /part/ && $6 ~ /swap/ {
  if (sparetest($6))
    entry($4, $2, "swap", "pri=42 0 0")
  next
}

$1 ~ /part/ && $6 ~ /extended/ {
  next
}

$1 ~ /part/ {
  entry($4, $2, "ext3", "defaults 1 1")

  next
}


$1 ~ /bind/ {
  entry($2, $3, "bind", "defaults,bind 0 0")
  next
}

END {
  entry("proc", "/proc", "proc", "defaults 0 0")
  entry("devpts", "/dev/pts", "devpts", "defaults 0 0")
  entry("usbdevfs", "/proc/bus/usb", "usbdevfs", "defaults,noauto 0 0")
  entry("/dev/cdrom", "/media/cdrom", "auto", "rw,noauto,owner,user,exec 0 0")
  entry("/dev/fd0", "/media/floppy", "auto", "rw,sync,noauto,owner,user,exec 0 0")
}
