# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2009, 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

function echo(part, size, type, param)
{
    if (part > max) max = part
    sizes[part] = size;
    if (param == "") 
      output[part] = sprintf(",%s", type)
    else
      output[part] = sprintf(",%s,%s", type, param)
}

function calc_size(min, max, percentage)
{
  # no min or max means maximum size
  if (min == "" && max == "")
     return ""
   
  # if no percentage then use the max
  if (percentage != "")
  {
    calc = s * percentage * 0.01 * 0.001
    calc = int((calc + 50)/100)*100
  }
  else
    calc = max

  if (max != "" && calc > max)
  {
    size = max
  }
  else if (min != "" && calc < min)
  {
    size = min
  }
  else 
  {
      size = calc
  }

  return size

}

BEGIN {
  base_count = 0; 
  skip_count = 0; 
  max = 0; 
  extended = 0
  FS=":"
  
  #because bbawk doesn't support multiple -v we have to pass it this way
  split(v, args)
  mdisk = args[3]
  ndisk = args[2]
  s = args[1]
  if (mdisk >= 2 && ndisk == 2) {
    print ",,L"
    exit 0
  }
}

# Comments
/^#/ {
  skip_count++
}

# swap partition
/:swap/ { 
  size = calc_size($4, $5, $6)
  echo($1, size, "S", "")
  skip_count++
}

# dump partition
/\/dump/ {
  if (mdisk > 1) {
    skip_count++
  }
}

/:extended/ {
  if (extended == 0)
  {
    echo($1, "", "E", "")
    skip_count++
    extended = 1
  } 
  else
  {
    print "Two extended partitions specified..."
    exit 1
  }
}

{
  if (skip_count == base_count)
  {
    size = calc_size($4, $5, $6)
    echo($1, size, "L", "")
  }
  else
    base_count++
}

END {
  for (i = 1; i <= max; i++)
  {
    str = output[i]
    if (str != "" && i != max)
      print "," sizes[i] output[i]
    else if (str != "" && i == max)
      print ",,L"
  }
}

