# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2011, 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# IBM_COPYRIGHT_END

#
# 09N6996
#

# This script is intended to by used by CSDA exploiters that are integrating
# their subsystems with Director HA. A set of shell variables and functions
# are provided that should be of use in scripts located under the
# /opt/ibm/director/ha/plugins directory tree.
#
# To use this script, it must be sourced by the exploiter's script, which
# must be a bash script. The path name of this script is
#
#        /opt/ibm/director/ha/bin/include/smha_exploiter_common.sh
#
# In general, variables and functions have the following prefixes:
#
#    SMHA_    variable available to exploiter
#    smha_    function available to exploiter
#
#    _SMHA_   variable private to this, and included, scripts
#    _smha_   function private to this, and included, scripts
#
# Note the private variables and functions may change without notice.
#
# Variables defined by this script that do not have these prefixes are
#
#    PROGNAME name of "sourcing" program taken from $0
#
#    TSA_*    TSA status values. One of these values MUST be returned
#             by the Monitoring command specified to an IBM.Application
#             resource. These values become the value of the OpState
#             dynamic attribute of the resource.
#
#    CT_MANAGEMENT_SCOPE  Required when invoking TSA and/or RSCT
#                         commands when HA is configured
#
# See the /opt/ibm/director/ha/bin/include/smhabasedef.sh script for
# descriptions of the public variables.
#
# See the /opt/ibm/director/ha/bin/include/smhabasecode.sh script
# for descriptions of the public functions.
#
# The included scripts providing common logging functions, such that
# all HA related error and trace data are writtent to common locations.
# This logging can be controlled by setting the following variables
# prior to sourcing this script:
#
#    SMHA_DEBUG=ON              Causes logged messages to be written to 
#                               stdout of the script.
#
#    SMHA_DEBUG_TSA=ON          Controls message logging in TSA scripts
#                               See the description of the smha_debug_tsa
#                               function in smhabasecode.sh
#
#    SMHA_LOG_VERBOSE=verbose   Controls logging of "verbose" messages.
#                               See the description of the smha_debug_verbose
#                               function in smhabasecode.sh

PROGNAME=$(basename $0)

source /opt/ibm/director/ha/bin/include/smhabasedef.sh
