#!/bin/bash
# Licensed Materials - Property of IBM
# 
# 09N6996
#
# (C) Copyright IBM Corp. 2012 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
#
PROGNAME=$(basename $0)
PROGPATH=$(dirname $0)
#### Use a special path for TSA monitoring scripts
PATH=/bin:/usr/bin:/sbin:/usr/sbin:/usr/sbin/rsct/bin
export PATH

EXPLOITER_COMMON_CODE=/opt/ibm/director/ha/bin/include/smha_exploiter_common.sh

SMHA_DEBUG_TSA=ON      # enable debug

if [ -f $EXPLOITER_COMMON_CODE ]; then
    source $EXPLOITER_COMMON_CODE
else
    echo "$PROGNAME:Exploiter common code not found."
    exit 1
fi
#############################################################

# For an event type of SMHA_EVENT_MIRRORED_STORAGE, the event state is either "up" or "down"

EventType=$1
EventState=$2      

smha_debug_tsa "Caught event type $EventType"

if [ "$EventType" = "$SMHA_EVENT_MIRRORED_STORAGE" ]; then

    case ${EventState} in

    up)
        # The mirrored storage resource is up on this node
        # execute logic that is dependent on mirrored storage being available

        smha_debug_tsa "storage resource is up"
        ;;

    down)
        # The mirrored storage resource is down on this node
        # execute logic that is dependent on mirrored storage being unavailable
        
        smha_debug_tsa "storage resource is down"
        ;;

    esac
fi

exit 0      # always exit with 0
